import { localize } from '../../nls.js';
import { ParseErrorCode } from './json.js';
function getParseErrorMessage(errorCode) {
    switch (errorCode) {
        case ParseErrorCode.InvalidSymbol: return ( localize(1250, 'Invalid symbol'));
        case ParseErrorCode.InvalidNumberFormat: return ( localize(1251, 'Invalid number format'));
        case ParseErrorCode.PropertyNameExpected: return ( localize(1252, 'Property name expected'));
        case ParseErrorCode.ValueExpected: return ( localize(1253, 'Value expected'));
        case ParseErrorCode.ColonExpected: return ( localize(1254, 'Colon expected'));
        case ParseErrorCode.CommaExpected: return ( localize(1255, 'Comma expected'));
        case ParseErrorCode.CloseBraceExpected: return ( localize(1256, 'Closing brace expected'));
        case ParseErrorCode.CloseBracketExpected: return ( localize(1257, 'Closing bracket expected'));
        case ParseErrorCode.EndOfFileExpected: return ( localize(1258, 'End of file expected'));
        default:
            return '';
    }
}
export { getParseErrorMessage };
